
 @model FAA_UI.ViewModels.TestListViewModel

@foreach(var x in Model.TestList)
{
  <div style="float:Left;margin-right:25px;padding:0px;">
    @if(x.isSelected)
    {
      <button   class="TestButton Testchecked"  type="button" id=@x.TestId  value=@x.TestCode > @x.TestCode</button>
    }
    else
    {
      <button   class="TestButton"  type="button" id=@x.TestId  value=@x.TestCode > @x.TestCode</button>
    }   
      
    @Html.CheckBoxFor( modelitem => x.isSelected , new { @class="visually-hidden",@Value=@x.TestId })
  </div>          
  }
  <script>
  $(() => {
      'use strict';
      $('.TestButton').click(function()
      {
        $(this).toggleClass('Testchecked');
  
        var ckbx= $(this).next();       
     
        if(ckbx.is(":checked"))
        {
         ckbx.prop("checked", false );       
        }
        else
        {
          ckbx.prop("checked", true );       
        } 
      });      
  });
</script> 

